[![Build Status](https://travis.mpi-internal.com/scmspain/frontend-ij--segment-wrapper.svg?token=weuzuyzw6juAMe8gcwxy&branch=master)](https://travis.mpi-internal.com/scmspain/frontend-ij--segment-wrapper) ![](https://img.shields.io/badge/automatic-release-brightgreen)

# Jobs segment wrapper

## Description

This wrapper sets up all needed tracking configurations

## Usage

### Load the script as first script in your page

```html
<html>
<head>
  <script src="https://unpkg.com/@s-ui/ij-segment-wrapper/umd/index.js"></script>
</head>
<body>
  
</body>
</html>
```

### Local dev

1. Create new umd

```shell
> npm run umd:dev
```

2. Open a http server serving the umd folder

> ⚠️ make sure the server runs in port 5000

``` shell
> npx serve umd
```

3. Open the production page and block the `https://unpkg.com/@s-ui/ij-segment-wrapper/umd/index.js` file

4. Run this script to load this packages

```js
var script = document.createElement('script');
script.src = 'http://localhost:5000/index.js'
body.append(script)
```

You can also test the library by publishing a new beta version. In order to do that:

1. Put the **-beta.0** suffix to your version

```default
"version": "1.50.0-beta.0",
```

2. Execute the publish command

``` shell
> npm publish --tag beta
```

3. Check this url **https://unpkg.com/@s-ui/ij-segment-wrapper@beta/umd/index.js**. In few minutes, it should be redirect to your beta version. In our case:

```default
https://unpkg.com/@s-ui/ij-segment-wrapper@beta/umd/index.js
```

### Release a new version

Once you have merged your changes, the @s-ui/ci tool will automatically release your component. Once this step is completed **https://unpkg.com/@s-ui/ij-segment-wrapper/umd/index.js** will need up to 20 minutes to update its cdn's cache and start deliver the new version.
