const TIME_BETWEEN_RETRIES = 250
const TIMES_TO_RETRY = 80

const ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg'
const ADOBE_SERVERS = {
  trackingServer: 'schibstedspain.d3.sc.omtrdc.net',
  trackingServerSecure: 'schibstedspain.d3.sc.omtrdc.net'
}

const getMarketingCloudVisitorID = () => {
  const demdex = window.Visitor.getInstance(ADOBE_ORG_ID, ADOBE_SERVERS)
  const mcvid = demdex.getMarketingCloudVisitorID()
  return mcvid
}

export const getAdobeMarketingCloudVisitorIdFromWindow = () => {
  if (window.__mpi.visitorId) return Promise.resolve(window.__mpi.visitorId)

  return new Promise(resolve => {
    function retry(retries) {
      if (retries === 0) return resolve('')

      window.__mpi.visitorId = getMarketingCloudVisitorID()
      return window.__mpi.visitorId
        ? resolve(window.__mpi.visitorId)
        : window.setTimeout(() => retry(--retries), TIME_BETWEEN_RETRIES)
    }
    retry(TIMES_TO_RETRY)
  })
}
